////////////////////////////////////////////////////////////////////////////
// PAXScript Importing
// Author: Alexander Baranovsky (ab@cable.netlux.org)
// ========================================================================
// Copyright (c) Alexander Baranovsky, 2003. All rights reserved.                                  
// Code Version: 1.5
// ========================================================================
// Unit: IMP_Buttons.pas
// ========================================================================
////////////////////////////////////////////////////////////////////////////


// Imports classes:
//   TSpeedButton,
//   TBitBtn

unit IMP_Buttons;

interface

uses
  SysUtils,
  Classes,
  TypInfo,
{$IFDEF LINUX}
  QButtons,
{$ELSE}
  Buttons,
{$ENDIF}
  PaxScripter;

implementation

var
  H: Integer;
initialization

  H := RegisterNamespace('Buttons');

//---- TSpeedButton ------------------------------------------------------------

  RegisterClassType(TSpeedButton, H);
  RegisterMethod(TSpeedButton, 'constructor Create(AOwner: TComponent); override;',
                 @TSpeedButton.Create);
  RegisterMethod(TSpeedButton, 'procedure Click; override;',
                 @TSpeedButton.Click);

//---- TBitBtn -----------------------------------------------------------------

  RegisterClassType(TBitBtn, H);
  RegisterMethod(TBitBtn, 'constructor Create(AOwner: TComponent); override;',
                 @TBitBtn.Create);
  RegisterMethod(TBitBtn, 'procedure Click; override;',
                 @TBitBtn.Click);

end.

